Bug 842687 - [rhevm-reports] - Webadmin - Display incorrect selection in Report (When using Reports via Webadmin)
[rhevm-reports] - Webadmin - Display incorrect selection in Report (When usin...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Yaniv Lavi (Dary)
David Botzer
infra
: Reopened
: 847606 851140 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 09:25 EDT by David Botzer
Modified: 2016-02-10 14:19 EST (History)
9 users (show)

See Also:
Fixed In Version: SI19.1 - rhevm-reports-3.1.0-14.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:24:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-07-24 09:25:07 EDT
Description of problem:
via webadmin->Right click or using Toolbar when selecting any entity (DC,Cluster,Host,VM) doesnt display correct selection in the Report

Version-Release number of selected component (if applicable):
3.1/si11.1

How reproducible:
always

Steps to Reproduce:
1.Create 2 DCs with clusters each and hosts
2.Via webadmin->right click a DC or cluster, host or vm
3.Select the appropiate Report for the selection
  
Actual results:
Report is opened with incorrect list of Entity/Entities

* Sometimes it takes the First created sometimes differently

Expected results:
Should open the Specific report for the selected Entity

Additional info:
Comment 3 Itamar Heim 2012-08-16 12:30:28 EDT
closing if this isn't reproduced with the jasper version we plan to release.
david - why are you testing with it?
Comment 4 David Botzer 2012-08-16 13:25:44 EDT
My setup uses jasperreports-server-pro-4.7.0-1.el6ev.noarch
I use the link sent by integration - http://..../builds/si14/
Only downstream
This happnes since 3.1/si11.1 (now on si14)

ovirt-engine-reports-3.1.0-5.noarch
jasperreports-server-pro-4.7.0-1.el6ev.noarch
ovirt-engine-dwh-3.1.0-8.noarch

I am testing download version only
No upstream no devel, no integration,
Comment 5 David Botzer 2012-08-19 03:30:46 EDT
Yaniv, please advise since which SI I should be getting the correct dashboards ?
currently si14,

Does this line in Reports.xml indicate I use downstream or upstream ?
<dashboard is_ce="false">
Comment 6 Yaniv Lavi (Dary) 2012-08-19 05:17:33 EDT
We added the pro edition version of the dashboards. So up until now, David was testing with CE edition dashboards.
This issue only exists for CE edition. Right click reporting is also affected and this bug should not be closed yet.
Comment 7 Yaniv Lavi (Dary) 2012-08-27 03:47:29 EDT
*** Bug 847606 has been marked as a duplicate of this bug. ***
Comment 8 Yaniv Lavi (Dary) 2012-09-03 10:37:15 EDT
*** Bug 851140 has been marked as a duplicate of this bug. ***
Comment 9 Yaniv Lavi (Dary) 2012-09-06 11:15:18 EDT
Jasper's response:
"Ynaiv,

We received confirmation today that the fix was checked in to the 4.7.1 branch.

Ron"
Comment 10 David Botzer 2012-09-27 05:24:59 EDT
Not Fixed, 3.1/si18.1
jasperreports-server-pro-4.7.0-1.el6ev.noarch
jasper-libs-1.900.1-15.el6_1.1.x86_64
rhevm-reports-3.1.0-13.el6ev.noarch
rhevm-dwh-3.1.0-13.el6ev.noarch
Not Fixed, 3.1/si18.1
Comment 11 David Botzer 2012-09-30 04:21:36 EDT
Not Fixed, 3.1/si19.1

I have selected single entity (VM) and report was opened with a different entity.

jasperreports-server-pro-4.7.0-1.el6ev.noarch
rhevm-reports-3.1.0-14.el6ev.noarch
rhevm-dwh-3.1.0-13.el6ev.noarch
Not Fixed, 3.1/si19.1
Comment 12 David Botzer 2012-10-07 06:02:51 EDT
Fixed, 3.1/si20
*Tested with Chrome

I have selected single entity (VM) and report was opened with a different entity.
works ok for several Entities as well.

jasperreports-server-pro-4.7.1-1.el6ev.noarch
rhevm-reports-3.1.0-14.el6ev.noarch
rhevm-dwh-3.1.0-13.el6ev.noarch

*Tested with Chrome
Fixed, 3.1/si20
Comment 15 errata-xmlrpc 2012-12-04 14:24:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1537.html

Note You need to log in before you can comment on or make changes to this bug.